Subject: Re: bug#8900: 24.0.50; please index mentioned coding systems in Emacs manual

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Jul 2011 20:52:46 +0300

> From: "Drew Adams" <[email-masked]>
> Date: Fri, 1 Jul 2011 08:54:44 -0700
> Cc: [email-masked]
> 
> > I think that should be sufficient for people who want to find these
> > things in the index.
> 
> I disagree.  These are real, implementation, user-visible, runtime names.  This
> is just like indexing command names or variable names or package names.  The
> exact name should appear in the index.

Not true, at least not until we have a detailed documentation of each
encoding there.  The absolute majority of coding-systems is not
documented in the manual, so there's no real place to put the index
entries.  I'm not sure there's something intelligent to tell about
these encodings in the manual, either.

> Consider, for instance, the use case that brought this to my attention:

You cannot assume that every symbol appears in the manual.  So this
feature can never work reliably, only ad-hoc.  You should be prepared
for the situation where the manual doesn't have this in its index, and
handle that gracefully.